

#ifndef __ENCRYPT_CORE_H__
#define __ENCRYPT_CORE_H__

enum
{
	SEC_FRAME_OK=0,			// 不需要后续处理的报文帧
	SEC_FRAME_OK_APP,		// 需要后续处理的应用报文帧
	SEC_FRAME_OK_EXT,		// 需要后续处理的扩展报文帧
	SEC_FRAME_OK_ENCRYPT,	// 需要后续加密的扩展报文帧
	SEC_FRAME_OK_MULTI,		// 一个包含多帧的缓冲区，头两个字节为长度
};

extern int g_sec_md5_ret;
int  sec_recv(iec_rbuf_t *pt,u8 c,u8 *out,bool b101);
int  sec_encrpt_iec(u8 ti,u8 cot,u8 se,u8 *in,u8 len,u8 **out);
int sec_md5_check(char *buf,u16 len);
u16  sec_md5_echo(u8 *out);

void sec_app(void);

int sec_info_printf(void);
int sec_md5_get_inf(char *md5);

#endif


